Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003252KdenliveMLTpublic2014-03-31 21:472014-05-01 20:28
Reportermaverickp 
Assigned To 
PriorityhighSeveritycrashReproducibilityalways
StatusacknowledgedResolutionopen 
Platformamd64OSKubuntu GNU/LinuxOS Version13.10
Product VersionRecent git 
Target VersionFixed in Version 
Summary0003252: Kdenlive crash after applying effects like change Speed
DescriptionApplying effects like change Speed, force kdenlive to crash.
Steps To Reproduce1. Open Kdenlive
2. Add a video
3. Apply Speed effect (example 800%)
4. Play. In the preview monitor, show green artifacts.
5. Wait for crash.
Additional InformationTested with multiple video files, various formats.
I use Banus (sunab) launchpad ppa. Upgraded latest kdenlive-20140330
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Filestxt file icon kdenlive-20140331-153555.kcrash.txt [^] (15,332 bytes) 2014-03-31 21:47 [Show Content]
txt file icon kdenlive-20140403-142401.kcrash.txt [^] (17,125 bytes) 2014-04-03 20:25 [Show Content]

- Relationships

-  Notes
(0009877)
tadis (reporter)
2014-04-01 14:57

The same for me.

I noticed that speed effect does not work when OS regional number format is dot seperated (1.234.567,89) (not comma seperated (1,234,567.89)) on kdenlive 0.9.6

I believe that the same problem exits on newer versions.
(0009893)
maverickp (reporter)
2014-04-02 01:50

I think not ... The error is related to Movit, which was not built on 0.9.6. Tested changing the regional format, is the same.
(0009916)
Sesse (developer)
2014-04-03 23:58

The only realistic way Movit can crash in that function is if you feed it a bad pointer to the YCbCr data. I can reproduce this crash, but it dies long before reaching Movit on my machine; I'm looking into it, but on the face of it, I don't think it's my bug.
(0009917)
Sesse (developer)
2014-04-04 00:24

Here's my backtrace, by the way:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffae7fb700 (LWP 27962)]
__GI___pthread_mutex_lock (mutex=0x0) at ../nptl/pthread_mutex_lock.c:66
66 ../nptl/pthread_mutex_lock.c: Ingen slik fil eller filkatalog.
(gdb) bt
#0 __GI___pthread_mutex_lock (mutex=0x0) at ../nptl/pthread_mutex_lock.c:66
#1 0x00007ffff46b5aff in pool_return (ptr=0x7fffb9bb5034) at mlt_pool.c:175
0000002 mlt_pool_release (release=0x7fffb9bb5034) at mlt_pool.c:368
0000003 0x00007ffff46a21f9 in mlt_property_clear (self=0x7fffb6d59d30) at mlt_property.c:111
0000004 mlt_property_close (self=0x7fffb6d59d30) at mlt_property.c:788
0000005 0x00007ffff46a40f1 in mlt_properties_close (self=self@entry=0x7fffb5380490)
    at mlt_properties.c:1396
0000006 0x00007ffff469dc6c in mlt_frame_close (self=self@entry=0x7fffb5380490) at mlt_frame.c:911
0000007 0x00007ffff46b0d62 in consumer_read_ahead_thread (arg=0x2a391b0) at mlt_consumer.c:808
0000008 0x00007ffff4058062 in start_thread (arg=0x7fffae7fb700) at pthread_create.c:312
0000009 0x00007ffff1112a3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

I do, however, also see issues in Movit conversion, especially when yuv422 for some reason starts getting involved on the conversion chains. I'm not sure exactly what the cause of this bug is.
(0009919)
Sesse (developer)
2014-04-04 01:05

More information:

Seemingly the deinterlace filter gets inserted at some stage. deinterlace asks for a conversion to yuv422 (since that's its native format); however, the input it gets is a pointer from the color producer (which originally made it in the format glsl_texture), but with the format yuv420! So it tries to read a 1280x720 image out of a 4-byte integer, which obviously causes problems down the road.

I'm trying to track down exactly where the format goes wrong and why.
(0009925)
Sesse (developer)
2014-04-04 02:04

OK, I think this line in filter_movit_crop.cpp is wrong:

        *format = mlt_image_none;

I don't understand the logic here, but if I remove it, I get crashes in what seems to be a much more plausible place for a Speed bug:

Program received signal SIGSEGV, Segmentation fault.
__strcmp_ssse3 () at ../sysdeps/x86_64/multiarch/../strcmp.S:1358
1358 ../sysdeps/x86_64/multiarch/../strcmp.S: Ingen slik fil eller filkatalog.
(gdb) bt
#0 __strcmp_ssse3 () at ../sysdeps/x86_64/multiarch/../strcmp.S:1358
#1 0x00007ffff46a6e8a in mlt_producer_is_blank (self=0x463e5b0) at mlt_producer.c:207
0000002 0x00007ffff46a73da in mlt_producer_set_in_and_out (self=0x463e5b0, in=-1, out=736) at mlt_producer.c:452
0000003 0x00007ffff46a7047 in mlt_producer_cut (self=0x0, in=0, out=736) at mlt_producer.c:257
0000004 0x00007ffff4481a0c in Mlt::Producer::cut(int, int) () from /usr/local/lib/libmlt++.so.3
0000005 0x00000000006fcb0b in Render::mltChangeClipSpeed (this=0x2a4d6f0, info=..., speedIndependantInfo=...,
    speed=<optimized out>, speed@entry=0.98999999999999999, strobe=strobe@entry=1, prod=prod@entry=0x7fffa1637bc0)
    at /home/sesse/nmu/kdenlive/src/renderer.cpp:2787
0000006 0x00000000005d6f6a in CustomTrackView::doChangeClipSpeed (this=this@entry=0x334c4d0, info=..., speedIndependantInfo=...,
    speed=speed@entry=0.98999999999999999, oldspeed=oldspeed@entry=1.1799999999999999, strobe=strobe@entry=1, id=...)
    at /home/sesse/nmu/kdenlive/src/customtrackview.cpp:4401
0000007 0x00000000005da38f in CustomTrackView::updateEffect (this=0x334c4d0, track=<optimized out>, pos=..., insertedEffect=...,
    updateEffectStack=updateEffectStack@entry=false) at /home/sesse/nmu/kdenlive/src/customtrackview.cpp:2247
0000008 0x0000000000462f55 in EditEffectCommand::redo (this=0x43ae760)
    at /home/sesse/nmu/kdenlive/src/commands/editeffectcommand.cpp:76
0000009 0x00007ffff5a60823 in QUndoStack::push(QUndoCommand*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000010 0x00000000005a29b2 in CustomTrackView::slotUpdateClipEffect (this=0x334c4d0, clip=<optimized out>, track=<optimized out>,
    oldeffect=..., effect=..., ix=<optimized out>, refreshEffectStack=false)
    at /home/sesse/nmu/kdenlive/src/customtrackview.cpp:2432
0000011 0x00000000005e3ff7 in CustomTrackView::qt_static_metacall (_o=0x334c4d0, _id=-194275920, _a=0x7fffffffcd20,
    _c=<optimized out>) at /home/sesse/nmu/kdenlive/src/customtrackview.moc:293
0000012 0x00007ffff4a5377a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000013 0x0000000000498818 in EffectStackView2::updateEffect (this=this@entry=0x30d1ac0, _t1=0x4227d40, _t2=_t2@entry=-1, _t3=...,
    _t4=..., _t5=_t5@entry=1, _t6=_t6@entry=false) at /home/sesse/nmu/kdenlive/src/effectstackview2.moc:227
0000014 0x000000000049885a in EffectStackView2::slotUpdateEffectParams (this=0x30d1ac0, old=..., e=..., ix=1)
    at /home/sesse/nmu/kdenlive/src/effectstack/effectstackview2.cpp:587
0000015 0x000000000049c776 in EffectStackView2::qt_static_metacall (_o=0x30d1ac0, _id=-194275920, _a=0xffff, _c=<optimized out>)
    at /home/sesse/nmu/kdenlive/src/effectstackview2.moc:153
0000016 0x00007ffff4a5377a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000017 0x000000000048fbd6 in CollapsibleEffect::parameterChanged (this=<optimized out>, _t1=..., _t2=..., _t3=1)
    at /home/sesse/nmu/kdenlive/src/collapsibleeffect.moc:176
0000018 0x0000000000493b96 in CollapsibleEffect::qt_static_metacall (_o=0x19a45a0, _id=-194275920, _a=0xffff, _c=<optimized out>)
    at /home/sesse/nmu/kdenlive/src/collapsibleeffect.moc:99
0000019 0x00007ffff4a5377a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000020 0x0000000000481be6 in ParameterContainer::parameterChanged (this=this@entry=0x43cc920, _t1=..., _t2=..., _t3=1)
    at /home/sesse/nmu/kdenlive/src/parametercontainer.moc:192
0000021 0x00000000004886f7 in ParameterContainer::slotCollectAllParameters (this=0x43cc920)
    at /home/sesse/nmu/kdenlive/src/effectstack/parametercontainer.cpp:765

I'll go and try to figure out what the _none issue is; someone else will have to look at the actual Speed crash.
(0009931)
Sesse (developer)
2014-04-05 00:29

I believe I've traced the mlt_image_none issue (which was something else in the end) to the test producer missing Movit support. I'm talking to Dan about what the right fix in MLT is; I have at least a workaround.

That won't solve the core of this issue, though; after the MLT fix, it now crashes every time with that NULL pointer dereference I pasted in the previous note instead.
(0009933)
Sesse (developer)
2014-04-05 02:19

The MLT issue has been fixed. (The previous message still applies.)
(0009934)
maverickp (reporter)
2014-04-05 02:40

Glad to see the kdenlive project grow! An improvement is an improvement... and I trust movit as a great improvement for kdenlive

Anyway I'll be waiting ppa updates
(0009995)
j-b-m (administrator)
2014-04-14 15:00

A proper fix for the framebuffer producer (which is responsible for the speed effect) was committed this morning in MLT. Please test and let me know if the crash is fixed.
(0010022)
maverickp (reporter)
2014-05-01 20:28

Fixed. Thanks!

- Issue History
Date Modified Username Field Change
2014-03-31 21:47 maverickp New Issue
2014-03-31 21:47 maverickp File Added: kdenlive-20140331-153555.kcrash.txt
2014-04-01 14:57 tadis Note Added: 0009877
2014-04-02 01:50 maverickp Note Added: 0009893
2014-04-03 20:25 maverickp File Added: kdenlive-20140403-142401.kcrash.txt
2014-04-03 23:58 Sesse Note Added: 0009916
2014-04-04 00:24 Sesse Note Added: 0009917
2014-04-04 01:05 Sesse Note Added: 0009919
2014-04-04 02:04 Sesse Note Added: 0009925
2014-04-05 00:29 Sesse Note Added: 0009931
2014-04-05 00:29 Sesse Status new => acknowledged
2014-04-05 02:19 Sesse Note Added: 0009933
2014-04-05 02:40 maverickp Note Added: 0009934
2014-04-14 15:00 j-b-m Note Added: 0009995
2014-05-01 20:28 maverickp Note Added: 0010022


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker